%define _localstatedir /var

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	0.17
Release:	5mdk
License:	LGPL
Group:		System/Internationalization
BuildRequires:	libglib1.3_6-devel XFree86-devel libunicode-devel libfribidi0-devel

Source:		ftp://ftp.gtk.org/pub/gtk/v1.3/pango-%{version}.tar.bz2
# a small patch to allow compilation with current freetype2 -- pablo
Patch0:		pango-0.17-freetype2.patch.bz2

URL:		http://www.pango.org/
BuildRoot:	%_tmppath/%name-%version-%release-root
Obsoletes:	gscript, pango-gtkbeta

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package viewer
Summary: Viewer for pango.
Group: System/Internationalization
Requires: pango = %version-%release

%description viewer
This is the viewer example for pango.

%package devel
Summary:  System for layout and rendering of internationalized text
Group: System/Libraries
Requires: pango = %version-%release
Requires: libunicode-devel
Requires:	libfribidi0-devel
Requires: XFree86-devel
Obsoletes: pango-gtkbeta-devel

%description devel
The pango-devel package includes the static libraries and header files
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

%prep
%setup -q

%patch0 -p1

# this is needed to avoid problems with libtool 
aclocal
autoconf

%configure

%install
rm -rf $RPM_BUILD_ROOT
install -d %buildroot/%_prefix

make install DESTDIR=$RPM_BUILD_ROOT

echo "%defattr(-,root,root)" > pango.devel.list
find $RPM_BUILD_ROOT%_libdir -type l -name '*.so' >> pango.devel.list
perl -pi -e "s|$RPM_BUILD_ROOT||g" pango.devel.list

echo "%defattr(-,root,root)" > pango.libs.list
find $RPM_BUILD_ROOT%_libdir -type f -name '*.so' >> pango.libs.list
perl -pi -e "s|$RPM_BUILD_ROOT||g" pango.libs.list

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pango
( cd $RPM_BUILD_ROOT%_libdir/pango/modules/
  LD_PRELOAD="$RPM_BUILD_ROOT%_libdir/libpango.so $RPM_BUILD_ROOT%_libdir/libpangoft2.so $RPM_BUILD_ROOT%_libdir/libpangox.so $RPM_BUILD_ROOT%_libdir/libpangoxft.so"  \
  	$RPM_BUILD_ROOT%_bindir/pango-querymodules *.so | \
	sed "s|$RPM_BUILD_ROOT||" > $RPM_BUILD_ROOT%{_sysconfdir}/pango/pango.modules
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango/pango.modules

%postun -p /sbin/ldconfig

%files -f pango.libs.list
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%_bindir/pango-querymodules
%dir %_libdir/pango
%dir %_libdir/pango/modules
%dir %_sysconfdir/pango
%config %_sysconfdir/pango/pangox.aliases
%config %_sysconfdir/pango/pango.modules

%files viewer
%defattr(-,root,root)
%_bindir/pango-viewer

%files devel -f pango.devel.list
%defattr(-, root, root)
%_libdir/pkgconfig/*
%_libdir/libpango*.a
%_libdir/*.la
#%{prefix}/lib/pango/modules/*.a
%_includedir/*
%_datadir/gtk-doc/html/pango

%changelog
* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-5mdk
- rebuild with aclocal/autoconf

* Fri Jul 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.17-4mdk
- BuildRequires:	libglib1.3_6-devel

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-3mdk
- relink with glib

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-1mdk
- updated to 0.17
- added docs to the devel package

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-5mdk
- corrected the config files

* Fri May 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-4mdk
- Rebuild for the newest 1.3.5 glib libraries.
- fixed the problem with the missing /var/lib/pango

* Thu May 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-3mdk
- rm -rf $RPM_BUILD_ROOT at %%install to make sure everytime we install a 
  new and shiny and freshly compiled pango.
- Split out the pango-viewer so we don't have to have Qt installed
  in order to use Pango.

* Thu May 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-2mdk
- Rebuild for the newest 1.3.5 glib libraries.

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-1mdk
- Version 0.16 for Gtk+ 1.3.

* Sun Apr 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-6mdk
- fix %%post

* Thu Feb 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9-5mdk
- Change the URL in the Source tag.
- Use of the %%configure macro.

* Wed Jan 17 2001 David BAUDNS <baudens@mandrakesoft.com> 0.9-4mdk
- BuildRequires: libfribidi0-devel
- Spec clean up

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-3mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- fix % post (was writing to %/var/lib/pango instead of /var/lib/pango)

* Sat Apr 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- corrected conflicts in %files section
- added orphaned directories & files 

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.8-1mdk
- Initial Mandrake Release
- spec-helper
- fixed groups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file
